XmCreateWorkingDialog(3Xm)

NAME
XmCreateWorkingDialog — the MessageBox WorkingDialog convenience creation function.

SYNOPSIS
#include <Xm/MessageB.h>

Widget XmCreateWorkingDialog (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateWorkingDialog is a convenience creation function that creates a DialogShell and an unmanaged MessageBox child of the DialogShell. A WorkingDialog informs the user that there is a time-consuming operation in progress and gives the user the ability to cancel the operation. It includes a symbol, a message, and three buttons. The default symbol is an hourglass. The default button labels are OK, Cancel, and Help.

Use XtManageChild to pop up the WorkingDialog (passing the MessageBox as the widget parameter); use XtUnmanageChild to pop it down.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of MessageBox and its associated resources, see XmMessageBox(3Xm).

RETURN VALUE
Returns the MessageBox widget ID.

RELATED INFORMATION
XmMessageBox(3Xm).